import React, { useState, useEffect } from 'react';
import { PageHeaderWrapper } from '@ant-design/pro-layout';
import { Form, Input, Button, Icon, Select, message, Table, Divider, Tag, Pagination, Modal,Breadcrumb } from 'antd';
import router from 'umi/router';
import moment from 'moment';
import styles from './style.less';
import { fetch, apis } from '../../utils/request';
import request from '../../utils/request';
import AuthButton from '@/components/AuthButton';

function header(props) {

    const [houseIdList, setHouseIdList] = useState([])

    const handleSubmit = (e, props) => {
        e.preventDefault();
       
      }

      function handleReset() {
        props.form.resetFields();
        // getList({ pageNum: 1, pageSize: 10 });
      }

      const toEditGoods = (goodsId) => () => {
        // router.push({
        //   pathname: '/integralMall/editGoods',
        //   query: {
        //     goodsId
        //   },
        // });
      }

      const toDelBatch = rowData => () =>{
        console.log(houseIdList, 'houseIdListhouseIdList')
        if(houseIdList.length < 1){
          openNotificationWithIcon('error', '请先选择需要删除的批次')
          return
        }
    
        Modal.confirm({
          title: '确定删除批次信息吗',
          okText: '确定',
          cancelText: '取消',
          onOk () {
            // request({ ...apis.house.deleteTaSalesBatch, data: houseIdList, }).then((data) => {
            //   message.info("操作成功")
            //   getList({ pageNum: 1, pageSize: 10 });
            // }).catch((err) => {
            // })
          },
        });
      }

      const rowSelection = {
        onChange: (selectedRowKeys, selectedRows) => {
          console.log('selectedRowKeys:', selectedRowKeys, 'selectedRows: ', selectedRows);
          setHouseIdList(selectedRows)
        },
      };

      const data =[]

      const columns = [
        {
          title: '通知标题',
          dataIndex: 'title',
          key: 'title',
          align: 'center',
          render: (text, record) => <img src={record.imgUrl} className={styles.touxiang} />,
        },
        {
          title: '通知图',
          dataIndex: 'imgUrl',
          key: 'imgUrl',
          align: 'center',
    
        },
        {
          title: '关联业务类型',
          dataIndex: 'pointPrice',
          key: 'pointPrice',
          align: 'center',
        },
        {
          title: '关联业务',
          dataIndex: 'totalNum',
          key: 'totalNum',
          align: 'center',
        },
        {
          title: '发布状态',
          dataIndex: 'status',
          key: 'status',
          align: 'center',
        //   render: (status)=> <><span>{status == 1 ? '是' : '否'}</span></>
        },
        {
          title: '自动下架时间',
          dataIndex: 'inventory',
          key: 'inventory',
          align: 'center',
        },
        {
          title: '权重',
          dataIndex: 'status',
          key: 'status',
          align: 'center',
         
        },
        {
            title: '新增时间',
            dataIndex: 'inventory',
            key: 'inventory',
            align: 'center',
          },
        {
          title: '操作',
          dataIndex: 'handle',
          key: 'handle',
          align: 'center',
          render: (x, row) => (
            <>
              
            
                <span style={{ color: '#FF925C',cursor: 'pointer' }} onClick={toEditGoods(row.goodsId)}>
                  编辑<Icon type="form" className={styles.edit} />
                </span>
              
            </>
          ),
        },
      ];

    const { getFieldDecorator } = props.form
  return (

    <>
   <div>
   <Form layout="inline" onSubmit={e => handleSubmit(e, props)}>
        <Form.Item>
          {getFieldDecorator('goodsName')(
            <Input
              prefix={<Icon type="text" style={{ color: 'rgba(0,0,0,.25)' }} />}
              placeholder="通知标题"
            />,
          )}
        </Form.Item>
        <Form.Item>
          {getFieldDecorator('status')(
            <Select style={{ width: '180px' }} placeholder="关联业务类型">
             
            </Select>,
          )}
        </Form.Item>
       
        <Form.Item>
          {getFieldDecorator('priceLesser')(
            <Input
              prefix={<Icon type="text" style={{ color: 'rgba(0,0,0,.25)' }} />}
              placeholder="关联业务"
            />,
          )}
        </Form.Item>
        <Form.Item>
          {getFieldDecorator('qbc')(
            <Input
              prefix={<Icon type="text" style={{ color: 'rgba(0,0,0,.25)' }} />}
              placeholder="发布状态"
            />,
          )}
           </Form.Item>
        <Form.Item>
          
              <Button type="primary" htmlType="submit" className={styles.searchBtn}>
                搜索
              </Button>
         {/*  */}
            <Button style={{ marginLeft: 8 }} onClick={handleReset}>
              重置
            </Button>
        </Form.Item>
      </Form>

      <Button type="danger" className={styles.addBtn} onClick={toEditGoods()}>新增</Button>

      <Button type="danger" className={styles.addBtn} onClick={toDelBatch()} style={{marginLeft:'30px'}} >删除</Button>

      <Table rowSelection={rowSelection} rowKey="goodsList" dataSource={data} columns={columns} pagination={false} />
   </div>
    </>
  )
}

const WrappedHeader = Form.create({ name: 'header' })(header);

export default WrappedHeader