const prefix = '/api/channel'

const apis = {
  user: {
    current: {
      url: `${prefix}/current`,
      method: 'GET',
      action: 'channel',
    },
    login: {
      url: `${prefix}/signin`,
      method: 'POST',
      action: 'channel',
      login: true
    },
    logoff: {
      url: `${prefix}/signout`,
      method: 'POST',
      action: 'channel',
      logout: true
    },
  },
  member: {
    list: {
      url: `${prefix}/taUser`,
      method: 'GET',
      action: 'channel',
    },
    get: {
      url: `${prefix}/taUser/:id`,
      method: 'GET',
      action: 'channel',
    },
    save: {
      url: `${prefix}/taUser`,
      method: 'POST',
      action: 'channel',
    },
    update: {
      url: `${prefix}/taUser/:id`,
      method: 'PUT',
      action: 'channel',
    },
  },
  channel: {
    list: {
      url: `${prefix}/taChannel`,
      method: 'GET',
      action: 'channel',
    },
    put: {
      url: `${prefix}/taChannel/:id`,
      method: 'PUT',
      action: 'channel',
    },
    post: {
      url: `${prefix}/taChannel`,
      method: 'POST',
      action: 'channel',
    },
    get: {
      url: `${prefix}/taChannel/:id`,
      method: 'GET',
      action: 'channel',
    },
  },
  image: {
    uploadForAnt: {
      url: `${prefix}/antd/image`,
      method: 'POST',
      action: 'center',
    },
    upload: {
      url: `${prefix}/image`,
      method: 'POST',
      action: 'center',
    },
  },
  
  
}

export default apis;
